#ifndef __COMPAT_FILE_H__
#   define __COMPAT_FILE_H__


/* The fput() API is modified in 2.2.0 --hpreg */
#if LINUX_VERSION_CODE >= KERNEL_VERSION(2, 2, 0)
#   define compat_fput(_file) fput(_file)
#else
#   define compat_fput(_file) fput(_file, (_file)->f_inode)
#endif


#if LINUX_VERSION_CODE >= KERNEL_VERSION(2, 4, 0)
#   define compat_get_file(_file) get_file(_file)
#   define compat_file_count(_file) file_count(_file)
#else
#   define compat_get_file(_file) (_file)->f_count++
#   define compat_file_count(_file) (_file)->f_count
#endif


#endif /* __COMPAT_FILE_H__ */
